Bug 13937 - Fix several issues detected by GCC 9
Fix several issues detected by GCC 9
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.9.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-09 06:35 UTC by Andreas Schneider
Modified: 2019-05-21 10:55 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.9 (13.13 KB, patch)
2019-05-09 06:39 UTC, Andreas Schneider
jra: review+
Details
patch for 4.10 (13.13 KB, patch)
2019-05-09 06:39 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-05-09 06:35:28 UTC
Fix several issues especially with format strings detected by GCC 9.

Patchset will follow.
Comment 1 Andreas Schneider 2019-05-09 06:39:06 UTC
Created attachment 15133 [details]
patch for 4.9
Comment 2 Andreas Schneider 2019-05-09 06:39:38 UTC
Created attachment 15134 [details]
patch for 4.10
Comment 3 Jeremy Allison 2019-05-09 18:03:40 UTC
Re-assigning to Karolin for inclusion in 4.10.next, 4.9.next.
Comment 4 Karolin Seeger 2019-05-16 10:30:36 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{10,9}-test.
Comment 5 Karolin Seeger 2019-05-21 10:55:21 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!